org.apache.flume.sink.solr.morphline

## Class MorphlineSolrSink

- java.lang.Object
- - org.apache.flume.sink.AbstractSink
  - - org.apache.flume.sink.solr.morphline.MorphlineSink
    - - org.apache.flume.sink.solr.morphline.MorphlineSolrSink

- All Implemented Interfaces:
    Configurable, LifecycleAware, NamedComponent, Sink

      public class MorphlineSolrSink
      extends MorphlineSink

  Flume sink that extracts search documents from Flume events, processes them using a morphline `Command` chain, and loads them into Apache Solr.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.flume.Sink

      `Sink.Status`

  - ### Field Summary

    - ### Fields inherited from class org.apache.flume.sink.solr.morphline.MorphlineSink

      `BATCH_DURATION_MILLIS, BATCH_SIZE, HANDLER_CLASS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `MorphlineSolrSink()`
    `protected` | `MorphlineSolrSink(MorphlineHandler handler)` For testing only

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.

    - ### Methods inherited from class org.apache.flume.sink.solr.morphline.MorphlineSink

      `process, start, stop, toString`

    - ### Methods inherited from class org.apache.flume.sink.AbstractSink

      `getChannel, getLifecycleState, getName, setChannel, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MorphlineSolrSink

          public MorphlineSolrSink()

    - #### MorphlineSolrSink

          protected MorphlineSolrSink(MorphlineHandler handler)

      For testing only

  - ### Method Detail

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`
      Overrides:
        `configure` in class `MorphlineSink`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.